curl -X GET https://api.chessplay.io/api/v1/batches/1/ \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
import requests
headers = {"Authorization": "Bearer YOUR_ACCESS_TOKEN"}
response = requests.get(
"https://api.chessplay.io/api/v1/batches/1/",
headers=headers
)
batch = response.json()
const response = await fetch('https://api.chessplay.io/api/v1/batches/1/', {
headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN' }
});
const batch = await response.json();
{
"id": 1,
"name": "Beginner Batch",
"coach": {...},
"students": [...],
"student_count": 15
}
Batches
Get Batch
Retrieve a specific batch
GET
/
api
/
v1
/
batches
/
{id}
/
curl -X GET https://api.chessplay.io/api/v1/batches/1/ \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
import requests
headers = {"Authorization": "Bearer YOUR_ACCESS_TOKEN"}
response = requests.get(
"https://api.chessplay.io/api/v1/batches/1/",
headers=headers
)
batch = response.json()
const response = await fetch('https://api.chessplay.io/api/v1/batches/1/', {
headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN' }
});
const batch = await response.json();
{
"id": 1,
"name": "Beginner Batch",
"coach": {...},
"students": [...],
"student_count": 15
}
Path Parameters
integer
required
Batch ID
curl -X GET https://api.chessplay.io/api/v1/batches/1/ \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
import requests
headers = {"Authorization": "Bearer YOUR_ACCESS_TOKEN"}
response = requests.get(
"https://api.chessplay.io/api/v1/batches/1/",
headers=headers
)
batch = response.json()
const response = await fetch('https://api.chessplay.io/api/v1/batches/1/', {
headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN' }
});
const batch = await response.json();
{
"id": 1,
"name": "Beginner Batch",
"coach": {...},
"students": [...],
"student_count": 15
}
Was this page helpful?
⌘I

